import {get, post} from "@/util/request/index.js";
import {Page} from "@/common/consts/CommonConst";

export const getDeviceList = async ({page = Page.page, size = Page.size, ...params}) => {
  return await post('/device/getDeviceList', {
    page,
    size,
    ...params
  });
}


export const getDeviceDetail = async (id) => {
  return await get(`/device/getDeviceDetail/${id}`)
}

export const getDeviceMeta = async (id) => {
  return await get(`/device/getMetadataInfo/${id}`);
}
export const forbidDevice = async (ids = []) => {
  return await post('/device/forbidDevice', ids);
}
export const startDevice = async (ids = []) => {
  return await post('/device/startDevice', ids);
}

export const scrapDevice = async (data) => {
  return await post('/device/insertScrapDevice', data);
}